// SPDX-License-Identifier: MIT
//
// Copyright IBM Corp. 2023

use anyhow::Context;
use pv::uv::{UvDevice, UvDeviceInfo};

fn print_uvdevice_info() -> anyhow::Result<()> {
    let uv = UvDevice::open().context("uvdevice not available")?;
    let info = UvDeviceInfo::get(&uv)?;
    println!("{info}");
    Ok(())
}

fn print_version() {
    println!(
        "{} version {}\nCopyright IBM Corp. 2023\n",
        env!("CARGO_PKG_NAME"),
        utils::release_string!()
    );
}

fn main() -> anyhow::Result<()> {
    print_version();
    print_uvdevice_info()
}
